body {
    background: #121212;
    color: white;
    font-family: Arial, sans-serif;
}
h1{
    color:white;
}
h2{
    color:white;
}
.container {
    display: flex;
    gap: 30px;
}

.main-content {
    flex: 1;
}

.song_info {
    position: fixed;
    top: 20px;
    right: 20px;

    width: 300px;

    border: 1px solid #cccccc00;
    border-radius: 10px;
    padding: 15px;

    background: rgba(255, 255, 255, 0);
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

.slidercontainer {
    width: 200px;
    padding: 15px;
    background: #f5f5f500;
    border-radius: 12px;
    margin-bottom: 15px;
}

.slider {
    -webkit-appearance: none;
    appearance: none;

    width: 100%;
    height: 8px;

    border-radius: 999px;
    background: #d0d0d0;

    outline: none;
    cursor: pointer;
}

/* Chrome / Edge / Safari */
.slider::-webkit-slider-thumb {
    -webkit-appearance: none;

    width: 18px;
    height: 18px;

    border-radius: 50%;
    background: #9307c2;

    box-shadow: 0 0 10px #9307c25c;
    cursor: pointer;

    transition: transform 0.2s ease;
}

.slider::-webkit-slider-thumb:hover {
    transform: scale(1.2);
}

/* Firefox */
.slider::-moz-range-thumb {
    width: 18px;
    height: 18px;

    border: none;
    border-radius: 50%;
    background: #9307c2;

    box-shadow: 0 0 10px #9307c25c;
    cursor: pointer;
}

button {
    padding: 2px 4px;
    border: none;
    border-radius: 8px;
    background: #9307c25c;
    color: white;
    cursor: pointer;
}

button:hover {
    background: #be62dd5c;
}